%define revision r19

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The basic bootscripts for CCux Linux.
Name: 		ccux-bootscripts
Version: 	1.0
Release: 	4
Epoch:		1
License: 	GNU/GPL
Source0:	%{name}-trunk.%{revision}.tar.gz
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	chkconfig iproute2 cryptsetup-luks device-mapper wicd
Prereq: 	/sbin/chkconfig
ExclusiveArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: popt-devel
Requires:	upstart >= 1:0.6.3

%description
The basic bootscripts for CCux Linux.

%prep
%setup -q -n trunk.%{revision}

%build
cd utils
make

%install
# removing previous build
rm -rf $RPM_BUILD_ROOT

# Install utils
install -m 755 -d $RPM_BUILD_ROOT/sbin
cd $RPM_BUILD_DIR/trunk.%{revision}/utils
make install ROOT=$RPM_BUILD_ROOT

# install ccux-bootscripts
cd $RPM_BUILD_DIR/trunk.%{revision}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_sysconfdir/rc.d/init.d/functions
%_sysconfdir/rc.d/init.d/halt
%_sysconfdir/rc.d/rc
%_sysconfdir/rc.d/rc.sysinit
%_sysconfdir/rc.d/init.d/template
%_sysconfdir/rc.d/rc0.d
%_sysconfdir/rc.d/rc1.d
%_sysconfdir/rc.d/rc2.d
%_sysconfdir/rc.d/rc3.d
%_sysconfdir/rc.d/rc4.d
%_sysconfdir/rc.d/rc5.d
%_sysconfdir/rc.d/rc6.d
%_sysconfdir/initlog.conf
%_sysconfdir/sysctl.conf
%_sysconfdir/init/splash.conf
%_sysconfdir/init/tty1.conf
%_sysconfdir/init/tty2.conf
%_sysconfdir/init/tty3.conf
%_sysconfdir/init/tty4.conf
%_sysconfdir/init/tty5.conf
%_sysconfdir/init/tty6.conf
%config(noreplace) %_sysconfdir/inittab
/bin/doexec
/bin/ipcalc
/bin/usleep
/sbin/consoletype
/sbin/genhostid
/sbin/getkey
/sbin/initlog
/sbin/netreport
/sbin/ppp-watch
/sbin/service
/usr/sbin/usernetctl
/lib/udev/ccw_init
/lib/udev/console_check
/lib/udev/console_init
/lib/udev/rename_device
/sbin/fstab-decode
/sbin/securetty
%_mandir/man1/consoletype.1.gz
%_mandir/man1/doexec.1.gz
%_mandir/man1/genhostid.1.gz
%_mandir/man1/initlog.1.gz
%_mandir/man1/ipcalc.1.gz
%_mandir/man1/netreport.1.gz
%_mandir/man1/usleep.1.gz
%_mandir/man8/ppp-watch.8.gz
%_mandir/man8/usernetctl.8.gz				    
%_mandir/man8/service.8.gz
%_mandir/man1/getkey.1.gz
%_mandir/man8/fstab-decode.8.gz
%_mandir/man5/crypttab.5.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-4
- switch network config to wicd
* Fri Sep 25 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-3
- svn revision 19
- modified upstart configs for working ttys
- fixes bug 0000038
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-2
- svn revision 17
- patched for upstart >= 0.6 integration
* Tue May 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-1
- bump to release version
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-9
- svn revision 16
- switch network config to etcnet
* Fri Feb 06 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-8
- svn revision 15
- removes network script, now using nuts
* Mon Jan 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-7
- svn revision 14
- integrates silent splash
* Wed Jan 21 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-6
- add crypttab manpage
* Tue Jan 20 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-5
- cleanups in rc.sysinit, remove old sysinit scripts from package itself
* Tue Jan 20 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-4
- added stop sections from old sysinit scripts to halt command
* Mon Jan 19 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-3
- new sysinit layout, first release
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-2
- add inittab to this package, sysvinit doesnt exist anymore
* Fri Oct 24 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-1
- changed versioning scheme to match release
- added upstart related init files
* Mon Oct 29 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.4-1
- cleanups in scripts
* Sat Oct 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.3-1
- temp removed splash integration
* Sun Jan 21 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- removed network script from chkconfig, much safer
* Fri Jan 19 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.1-2
- fixed bug with chkconfig, network wouldn't have been started
* Mon May 29 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.1-1
- Update to Version 1.4.1
* Sun May 28 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.0-1
- Update to Version 1.4.0
* Sat May 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- integrated chkconfig
* Fri Jan 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- rebuilt, added utils
* Sun Sep 04 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-3
- Modified init functions
